#include "guess.h"
int find_number(int MAX) {
    int l=1,r=1e9,m,ans=1e9;
    while(l<=r){
    	m=(l+r)/2;
    	if(smaller(m)){
    		r=m-1;
    		ans=m-1;
		}
		else{
			l=m+1;
		}
	}
	return ans;
}